Bug 12644 - Add subtitles to staff client cart
Summary: Add subtitles to staff client cart
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-24 04:56 UTC by Liz Rea
Modified: 2017-09-29 10:31 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12644 - Add subtitles to staff client cart (3.25 KB, patch)
2017-05-25 12:56 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12644 - Add subtitles to staff client cart (3.32 KB, patch)
2017-05-25 19:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12644 - Add subtitles to staff client cart (3.36 KB, patch)
2017-07-31 15:53 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2014-07-24 04:56:06 UTC
The 245$b should be shown in all views of the cart, if it exists, in both OPAC and Staff client.
Comment 1 Owen Leonard 2016-08-19 15:24:02 UTC
This bug doesn't appear valid for the OPAC, but does affect the staff client.
Comment 2 Owen Leonard 2017-05-25 12:56:37 UTC
Created attachment 63713 [details] [review]
Bug 12644 - Add subtitles to staff client cart

This patch adds display of subtitles to the staff client cart.

To test you should have some values mapped to subtitle in Administration
-> Keyword to MARC Mapping.

1. Apply the patch.
2. Add some records to the staff client cart which have subtitles.
3. Open the cart and onfirm that subtitles display correctly in both the
   brief and "More details" view.
Comment 3 Katrin Fischer 2017-05-25 19:27:03 UTC
Created attachment 63719 [details] [review]
[SIGNED OFF] Bug 12644 - Add subtitles to staff client cart

This patch adds display of subtitles to the staff client cart.

To test you should have some values mapped to subtitle in Administration
-> Keyword to MARC Mapping.

1. Apply the patch.
2. Add some records to the staff client cart which have subtitles.
3. Open the cart and onfirm that subtitles display correctly in both the
   brief and "More details" view.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2017-07-31 15:53:24 UTC
Created attachment 65362 [details] [review]
Bug 12644 - Add subtitles to staff client cart

This patch adds display of subtitles to the staff client cart.

To test you should have some values mapped to subtitle in Administration
-> Keyword to MARC Mapping.

1. Apply the patch.
2. Add some records to the staff client cart which have subtitles.
3. Open the cart and onfirm that subtitles display correctly in both the
   brief and "More details" view.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2017-08-15 15:25:53 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-09-29 10:31:05 UTC
Enhancement not pushed to 17.05.x